# Interface GmfSnappingConfig

interface GmfSnappingConfig {
activated: boolean;
edge: boolean;
tolerance: number;
vertex: boolean;
}

- Defined in src/themes.js:284

#####
Index

### Properties

activated
edge
tolerance
vertex

## Properties

### activated

activated: boolean

Determines whether the snapping on this layer is activated by default.

- Defined in src/themes.js:285

### edge

edge: boolean

Determines whethers the edges of features from the node layer can be snapped or not.

- Defined in src/themes.js:286

### tolerance

tolerance: number

The tolerance in pixels the snapping should occur for the node layer.

- Defined in src/themes.js:288

### vertex

vertex: boolean

Determines whethers the vertices of features from the node layer can be snapped or not.

- Defined in src/themes.js:289